const
	maxn = 100000;

var
	i, n, c, dc, p: longint;
	a: array [1..maxn] of longint;

function rten(x: longint): longint;
var
	l, r, i: longint;
begin
	l := random(x - 1) + 2;
	r := 1;
	for i := 1 to l do begin
		r := r * 10;
	end;
	rten := r;
end;


begin
	randseed := 391123890;

	n := 50000 + random(50001);
	dc := rten(9);
	repeat 
		c := rten(8);
	until c <= dc;
	dc := dc - c;
	p := random(10) + 1;
	a[1] := dc + random(c) + 1;
	for i := 2 to n do begin
		if random(p) = 0 then
			a[i] := dc + random(c) + 1
		else
			a[i] := a[i - 1];
	end;

	writeln(n);
	for i := 1 to n do begin
		write(a[i]);
		if (i < n) then
			write(' ');
	end;
	writeln;
end.